/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package DrawTop;

import java.util.*;


public interface SelectionListener extends EventListener {
    public void selected(SelectionEvent event);
}
/*
class SelectionEvent extends EventObject {
    public String type="";
    public ShapeContainer[] shapeContainers=null;
    public Point2D clickedPoint=null;
    
    public SelectionEvent(Object source, String type, ShapeContainer[] shapeContainers, 
            Point2D clickedPoint) {
        super(source);
        this.type=type;
        this.shapeContainers=shapeContainers;
        this.clickedPoint=clickedPoint;
    }
    public String getType(){
        return this.type;
    }
    public ShapeContainer[] getSelectedContainers(){
        return this.shapeContainers;
    }
    public Point2D getClickedPoint(){
        return this.clickedPoint;
    }
}
*/